require 'sidekiq/web'

Rails.application.routes.draw do
  devise_for :users

  resources :emails
  resources :metadata_mappings
  resources :filters do
    patch :enable
    patch :disable
    resources :conditions
    resources :operations
  end

  root to: "emails#index"

  mount Sidekiq::Web => '/sidekiq'
end
